%?mingw_package_header

%global qt_module qtquick1
#%%global pre beta1

#%%global snapshot_date 20121111
#%%global snapshot_rev a14ab84c

%if 0%{?snapshot_date}
%global source_folder qt-%{qt_module}
%else
%global source_folder %{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}
%endif

Name:           mingw-qt5-%{qt_module}
Version:        5.0.1
Release:        1%{?pre:.%{pre}}%{?snapshot_date:.git%{snapshot_date}.%{snapshot_rev}}%{?dist}
Summary:        Qt5 for Windows - QtQuick1 component

License:        GPLv3 with exceptions or LGPLv2 with exceptions
Group:          Development/Libraries
URL:            http://www.qtsoftware.com/

%if 0%{?snapshot_date}
# To regenerate:
# wget http://qt.gitorious.org/qt/%{qt_module}/archive-tarball/%{snapshot_rev} -O qt5-%{qt_module}-%{snapshot_rev}.tar.gz
Source0:        qt5-%{qt_module}-%{snapshot_rev}.tar.gz
%else
Source0:        http://releases.qt-project.org/qt5/%{version}/submodules_tar/%{qt_module}-opensource-src-%{version}%{?pre:-%{pre}}.tar.xz
%endif

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 96
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-qt5-qtbase
BuildRequires:  mingw32-qt5-qtscript

BuildRequires:  mingw64-filesystem >= 96
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-qt5-qtbase
BuildRequires:  mingw64-qt5-qtscript


%description
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win32
%package -n mingw32-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtQuick1 component

%description -n mingw32-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


# Win64
%package -n mingw64-qt5-%{qt_module}
Summary:        Qt5 for Windows - QtQuick1 component

%description -n mingw64-qt5-%{qt_module}
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.


%?mingw_debug_package


%prep
%setup -q -n %{source_folder}


%build
%mingw_qmake_qt5 ../%{qt_module}.pro
%mingw_make %{?_smp_mflags}


%install
%mingw_make install INSTALL_ROOT=$RPM_BUILD_ROOT

# .prl files aren't interesting for us
find $RPM_BUILD_ROOT -name "*.prl" -delete

# Rename the .a files to .dll.a as they're actually import libraries and not static libraries
for FN in $RPM_BUILD_ROOT%{mingw32_libdir}/*.a $RPM_BUILD_ROOT%{mingw64_libdir}/*.a ; do
    FN_NEW=$(echo $FN | sed s/'.a$'/'.dll.a'/)
    mv $FN $FN_NEW
done

# The .dll's are installed in both %%{mingw32_bindir} and %%{mingw32_libdir}
# One copy of the .dll's is sufficient
rm -f $RPM_BUILD_ROOT%{mingw32_libdir}/*.dll
rm -f $RPM_BUILD_ROOT%{mingw64_libdir}/*.dll

# Prevent file conflict with mingw-qt4
mv $RPM_BUILD_ROOT%{mingw32_bindir}/qmlviewer.exe $RPM_BUILD_ROOT%{mingw32_bindir}/qmlviewer-qt5.exe
mv $RPM_BUILD_ROOT%{mingw64_bindir}/qmlviewer.exe $RPM_BUILD_ROOT%{mingw64_bindir}/qmlviewer-qt5.exe


# Win32
%files -n mingw32-qt5-%{qt_module}
%{mingw32_bindir}/Qt5Declarative.dll
%{mingw32_bindir}/qml1plugindump.exe
%{mingw32_bindir}/qmlviewer-qt5.exe
%{mingw32_includedir}/qt5/QtDeclarative/
%{mingw32_libdir}/libQt5Declarative.dll.a
%{mingw32_libdir}/cmake/Qt5Declarative
%{mingw32_libdir}/pkgconfig/Qt5Declarative.pc
%{mingw32_libdir}/qt5/plugins/qmltooling/
%{mingw32_datadir}/qt5/imports/*
%{mingw32_datadir}/qt5/mkspecs/modules/qt_lib_declarative.pri

# Win64
%files -n mingw64-qt5-%{qt_module}
%{mingw64_bindir}/Qt5Declarative.dll
%{mingw64_bindir}/qml1plugindump.exe
%{mingw64_bindir}/qmlviewer-qt5.exe
%{mingw64_includedir}/qt5/QtDeclarative/
%{mingw64_libdir}/libQt5Declarative.dll.a
%{mingw64_libdir}/cmake/Qt5Declarative
%{mingw64_libdir}/pkgconfig/Qt5Declarative.pc
%{mingw64_libdir}/qt5/plugins/qmltooling/
%{mingw64_datadir}/qt5/imports/*
%{mingw64_datadir}/qt5/mkspecs/modules/qt_lib_declarative.pri


%changelog
* Sat Feb  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Fri Jan 11 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final

* Sun Nov 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121111.a14ab84c
- Update to 20121111 snapshot (rev a14ab84c)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now

* Mon Sep 10 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.1.beta1
- Initial release

